Module java.corba
Package org.omg.CosNaming

## Class NameHelper

- java.lang.Object
- - org.omg.CosNaming.NameHelper

    public abstract class NameHelper
    extends Object

A name is a sequence of name components.

### Constructor Summary

Constructors
Constructor and Description
`NameHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static NameComponent[]` `extract(Any a)`
`static String` `id()`
`static void` `insert(Any a, NameComponent[] that)`
`static NameComponent[]` `read(InputStream istream)`
`static TypeCode` `type()`
`static void` `write(OutputStream ostream, NameComponent[] value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NameHelper

    public NameHelper()

### Method Detail

#### insert

    public static void insert(Any a,
                              NameComponent[] that)

#### extract

    public static NameComponent[] extract(Any a)

#### type

    public static TypeCode type()

#### id

    public static String id()

#### read

    public static NameComponent[] read(InputStream istream)

#### write

    public static void write(OutputStream ostream,
                             NameComponent[] value)